1

We have upgraded a CiviCRM system from 4.6 to 5.13.3 and now when clicking "Memberships"/"Find Memberships", entering criteria of Status = Grace, then selecting multiple records and clicking "Actions"/"Renew Memberships", we see a message in the top right with two fields for Activity "Description" and "Date".

If we enter values into those fields, or not, when clicking the button "Renew Membership(s)" we receive an error:

"Please correct the following errors in the form fields below: Description is a required field. Activity Date is a required field."

enter image description here

Any advice on how to resolve this issue would be appreciated.

  • Do you have any extensions installed that might be causing it? – Demerit Aug 15 '19 at 14:07
  • Hi Demerit, yes I think we've narrowed it down to the Smart Debit extension for processing direct debits, but still finding it hard to resolve after upgrade. – Darren Aug 15 '19 at 15:25
  • Can you do a grep -r membrships <extdir> and replace<extdir> with your extension directory? I'm not seeing where that error message is coming from which is why I asked about extensions. I don't see it in the smart debit extension either. – Demerit Aug 15 '19 at 16:12

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Browse other questions tagged or ask your own question.